import 'package:flutter/widgets.dart';

class StateProvider<T extends ChangeNotifier> extends InheritedNotifier<T> {
  const StateProvider({
    super.key,
    required T state,
    required super.child,
  }) : super(notifier: state);
}
